package com.ym.mec.common.entity;

public class ImPrivateMessage extends ImMessageModel {
    public String count;
    public String type;
    //是否在融云服务器存储, 0: 不存储, 1: 存储, 默认: 1
    public Integer isPersisted;
    public Integer isCounted;
    //是否过滤接收用户黑名单列表, 0: 不过滤 、1: 过滤，默认: 0
    public Integer verifyBlacklist;
    //发送者自己是否接收此条消息, 0: 不接收, 1: 接收, 默认: 0
    public Integer isIncludeSender;
    public Integer contentAvailable;

    public ImPrivateMessage() {
    }

    public ImPrivateMessage setSenderId(String senderId) {
        super.setSenderId(senderId);
        return this;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String[] getTargetId() {
        return super.getTargetId();
    }

    public ImPrivateMessage setTargetId(String[] targetId) {
        super.setTargetId(targetId);
        return this;
    }

    public ImPrivateMessage setContent(ImTxtMessage content) {
        super.setContent(content);
        return this;
    }

    public ImPrivateMessage setPushContent(String pushContent) {
        super.setPushContent(pushContent);
        return this;
    }

    public ImPrivateMessage setPushData(String pushData) {
        super.setPushData(pushData);
        return this;
    }

    public String getCount() {
        return this.count;
    }

    public ImPrivateMessage setCount(String count) {
        this.count = count;
        return this;
    }

    public Integer getVerifyBlacklist() {
        return this.verifyBlacklist;
    }

    public ImPrivateMessage setVerifyBlacklist(Integer verifyBlacklist) {
        this.verifyBlacklist = verifyBlacklist;
        return this;
    }

    public Integer getIsPersisted() {
        return this.isPersisted;
    }

    public ImPrivateMessage setIsPersisted(Integer isPersisted) {
        this.isPersisted = isPersisted;
        return this;
    }

    public Integer getIsCounted() {
        return this.isCounted;
    }

    public ImPrivateMessage setIsCounted(Integer isCounted) {
        this.isCounted = isCounted;
        return this;
    }

    public Integer getIsIncludeSender() {
        return this.isIncludeSender;
    }

    public ImPrivateMessage setIsIncludeSender(Integer isIncludeSender) {
        this.isIncludeSender = isIncludeSender;
        return this;
    }

    public ImPrivateMessage setObjectName(String objectName) {
        super.setObjectName(objectName);
        return this;
    }

    public Integer getContentAvailable() {
        return this.contentAvailable;
    }

    public ImPrivateMessage setContentAvailable(Integer contentAvailable) {
        this.contentAvailable = contentAvailable;
        return this;
    }
}
